GNU bug report logs - #31977
clone tests fail on CentOS 7

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Paul Garlick <pgarlick@HIDDEN>; dated Tue, 26 Jun 2018 14:18:02 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 31977 <at> debbugs.gnu.org:


Received: (at 31977) by debbugs.gnu.org; 19 Dec 2020 09:36:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 19 04:36:52 2020
Received: from localhost ([127.0.0.1]:40818 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kqYfT-0006aB-Kk
	for submit <at> debbugs.gnu.org; Sat, 19 Dec 2020 04:36:51 -0500
Received: from mail-wm1-f48.google.com ([209.85.128.48]:53079)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1kqYfR-0006Zx-Vp
 for 31977 <at> debbugs.gnu.org; Sat, 19 Dec 2020 04:36:50 -0500
Received: by mail-wm1-f48.google.com with SMTP id a6so5095850wmc.2
 for <31977 <at> debbugs.gnu.org>; Sat, 19 Dec 2020 01:36:49 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=dMXQrZzcgE+VkAeKhwpEc0TrT2zjx3dx6nRNnhCtiqI=;
 b=NjUw3a/Zai1OaRNj+PxYXmx8M3cu8Q+UUWB4typ6dF1HiYbMWEWE5BdRJUBGkYEW9J
 P2QYncjwKQ8E9251me3yRi0Vn6+A4JNcWlbqQlGSBJUPgUNmanv4Jra8vmJVWCMwuQPF
 DyEy6oqAJWXlVdr+bJ8gnjF0h1c8mK5SYUZoaN/v9sr2RoEl0+dlxg49aooNv3mN5Wpz
 E/MH3SpeU295thbwayKuRPGu9mKBH9+asvcCQeoimkm/Dp8cVOk95nrxslM+hgtAOVIc
 a6ZoUpuJgB4RWRDtNVDPtG0BNq8OSbvOFsSpTdSE3rFFGEGxlf8qi+llhU8sFk3h8wc1
 COiA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=dMXQrZzcgE+VkAeKhwpEc0TrT2zjx3dx6nRNnhCtiqI=;
 b=IVfUpasjR0y8b/5QgfnDnFOUQcNWteDqC7ZuRjQCN0+Rj3U37vgBP0KkHzy2VPh7L1
 WrShdTmh70U5Fppc9UCyoa0NVHH9OSj00WxeUPhWcVLiA47QeEHMA6SP1vkKU3Noo8c4
 zmpk/C4efLcYMQZncMZAACWETkwsqTx6gA1Owh3Ip13owJYbck3ER0SXRxwZmJPgmrtt
 pRXjoi7EqK8z2qWleOb6meojF9moMLWeFuMZtMqr10CMBxwZ/8VpOrXM9B40U2+7NijN
 4qgeNfR36yuKns+4tGEVyQzcV1S/gT2EA1S2OLmA+pgztKtZIP8zbTYCyg76qjj8YAUX
 WYxA==
X-Gm-Message-State: AOAM531ZS1HFCDLkduip9SCtxb48G/uaJT+UyJtm5wcj9ntM2HGgFIfu
 U9qfA2FpsmSqV7i9gxcvpMg=
X-Google-Smtp-Source: ABdhPJymZOCqsUCpGmT2TnayjlNN9PoA+3QgHZQr688LbJb2UFWx+kBeflVr94WPmjdaR1QcKzg0fA==
X-Received: by 2002:a1c:3902:: with SMTP id g2mr7522098wma.117.1608370604008; 
 Sat, 19 Dec 2020 01:36:44 -0800 (PST)
Received: from lili ([2a01:e0a:59b:9120:65d2:2476:f637:db1e])
 by smtp.gmail.com with ESMTPSA id a17sm18000758wrs.20.2020.12.19.01.36.43
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 19 Dec 2020 01:36:43 -0800 (PST)
From: zimoun <zimon.toutoune@HIDDEN>
To: Paul Garlick <pgarlick@HIDDEN>
Subject: Re: bug#31977: clone tests fail on CentOS 7
References: <1530022595.3353.22.camel@HIDDEN>
 <86ft4pv1ik.fsf@HIDDEN>
 <1317d9cf798a52364abd5905c17f207e8d9e31ed.camel@HIDDEN>
 <86mtyq8mh0.fsf@HIDDEN>
Date: Sat, 19 Dec 2020 10:26:50 +0100
In-Reply-To: <86mtyq8mh0.fsf@HIDDEN> (zimoun's message of "Mon, 07 Dec 2020
 01:54:19 +0100")
Message-ID: <867dpervs5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 31977
Cc: 31977 <at> debbugs.gnu.org, Marius Bakke <marius@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Paul,

Since the fix 8bc5ca5160db3d82bd5b6b2b7ed80c96f42bd33e breaks
linux-libre kernel on Guix System, because of [1], quote:

        Well, it is expected.  And now all is clear.  Explanations starting
        there:

           <http://logs.guix.gnu.org/guix/2020-12-07.log#211011>

        Quickly said, the initial code was assuming Debian-like kernel patches
        as Vagrant reported and this is not in the linux-libre source code with
        a wrong Guix error message.

        One bug is still there. :-)

1: <https://yhetil.org/guix/86zh2p4921.fsf@HIDDEN>


If I understand well your message:

        Files:
        a) '/proc/self/ns/user' exists
        b) '/proc/sys/kernel/unprivileged_userns_clone' does not exist.

from your initial report, it is the same problem as linux-libre:
somehow, the assumption of '/proc/sys/kernel/unprivileged_userns_clone'
is Debian-like and not shared.

So, it could be nice to have a good story for that. :-)


All the best,
simon




Information forwarded to bug-guix@HIDDEN:
bug#31977; Package guix. Full text available.

Message received at 31977 <at> debbugs.gnu.org:


Received: (at 31977) by debbugs.gnu.org; 7 Dec 2020 01:04:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 06 20:04:00 2020
Received: from localhost ([127.0.0.1]:51806 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1km4wa-0000Pl-8X
	for submit <at> debbugs.gnu.org; Sun, 06 Dec 2020 20:04:00 -0500
Received: from mail-wm1-f51.google.com ([209.85.128.51]:50281)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1km4wY-0000PY-B2
 for 31977 <at> debbugs.gnu.org; Sun, 06 Dec 2020 20:03:58 -0500
Received: by mail-wm1-f51.google.com with SMTP id c198so10152068wmd.0
 for <31977 <at> debbugs.gnu.org>; Sun, 06 Dec 2020 17:03:58 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version; bh=7//nnnjbYdhr8DESOpx8Emhm+9ohfwrEcykIxacy0cw=;
 b=QZtazOeRV7tGPW4aspnop7sYtthgqyeFO2EaKreHnMK+bj6wIPVP0nAr6ZfIrEIcFu
 /GIuHhkXHyVlH9+XqLzGq3sibyD5QLMA7795OBG1Hhf46I9SFR87CQpI2+a+aw3gx4cl
 3IKjcA+ILgR1cPRAoxV2KrxCC35w9ldY2TM3k69wl/osLdtypFERlYM4d2JMdmilvqo+
 ymMpSaqqysvaXkk2eurLp5yWNmseGTaKj5kbMlNfRvO3rddetOOmYMacfcHCu8r+aP91
 mdws82Xwt317eVUsvHh80VtD1C4hVHMMiqWuToRz3fKbdjZVFifkDS0XqDawYE1ktRel
 Q+uA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:in-reply-to:references:date
 :message-id:mime-version;
 bh=7//nnnjbYdhr8DESOpx8Emhm+9ohfwrEcykIxacy0cw=;
 b=j8ix1j6ivRgcXrgadJ4RQAiRpiWbor+x31ARs9xyiSVRAVuyvdv7PoFydAB7kVmbei
 IGhM1YHHPu1CrSsQlMLMRl1uSCLm6HXCGrxQeWyzLUAw3UPZzCITz+0EkprCrymoPuJY
 mX3shEuxz+PMzuth7OI19cERNEWkfuz1BF3PRzSrZwAz9Wc4KKP3wNuL0V0sBb44Ii4d
 yp3Ggaved8QDVzSz1w+I62jrPUXjiJFmYKSif+nZDOcBcV3zw87gCfktfYXvcDnAFGGx
 L3/GDPY9Zt5krfik1G1WSexkze0pSO8cb6N/mvhBM/XUEOTJwKwvsTvhf/UJPvuyHjvj
 lq0A==
X-Gm-Message-State: AOAM532SGjbSCJYRw/puc6Dsd6rRccBZg/skvA5T7ouog3wA15glpOrL
 Ou8ghHPaA5hLY+bkmObYP3Y=
X-Google-Smtp-Source: ABdhPJzWSwdQxQYynV5ZyOVCvgekt59+omQr94wdhTeHFACAYI4i+WIFIQrIezMnVR/sCyg/N+wW3g==
X-Received: by 2002:a7b:ca47:: with SMTP id m7mr15618088wml.33.1607303032612; 
 Sun, 06 Dec 2020 17:03:52 -0800 (PST)
Received: from lili ([2a01:e0a:59b:9120:65d2:2476:f637:db1e])
 by smtp.gmail.com with ESMTPSA id a21sm11307019wmb.38.2020.12.06.17.03.51
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 06 Dec 2020 17:03:52 -0800 (PST)
From: zimoun <zimon.toutoune@HIDDEN>
To: Paul Garlick <pgarlick@HIDDEN>
Subject: Re: bug#31977: clone tests fail on CentOS 7
In-Reply-To: <1317d9cf798a52364abd5905c17f207e8d9e31ed.camel@HIDDEN>
References: <1530022595.3353.22.camel@HIDDEN>
 <86ft4pv1ik.fsf@HIDDEN>
 <1317d9cf798a52364abd5905c17f207e8d9e31ed.camel@HIDDEN>
Date: Mon, 07 Dec 2020 01:54:19 +0100
Message-ID: <86mtyq8mh0.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 31977
Cc: 31977 <at> debbugs.gnu.org, Marius Bakke <marius@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Paul,

On Thu, 03 Dec 2020 at 16:34, Paul Garlick <pgarlick@HIDDEN> wrote:

> I have pushed the fix as 8bc5ca5160db3d82bd5b6b2b7ed80c96f42bd33e.

Apparently people are complaining [1,2].  Well, I do not understand what it
breaks but Marius reverted the commit (see #45066) so I am reopening the
issue.

   <http://issues.guix.gnu.org/issue/45066>


All the best,
simon

1: <https://yhetil.org/guix/e5c86d238ca5174b745b8ea6cb0cb6ad6b20aa5e.camel@HIDDEN>
2:
<https://yhetil.org/guix/PSXP216MB02147543A84779F3F6A8509EA0CF0@HIDDEN>






Information forwarded to bug-guix@HIDDEN:
bug#31977; Package guix. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.
bug closed, send any further explanations to 31977 <at> debbugs.gnu.org and Paul Garlick <pgarlick@HIDDEN> Request was from Paul Garlick <pgarlick@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 31977 <at> debbugs.gnu.org:


Received: (at 31977) by debbugs.gnu.org; 3 Dec 2020 16:34:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 03 11:34:29 2020
Received: from localhost ([127.0.0.1]:41526 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kkrYr-0008Qm-FT
	for submit <at> debbugs.gnu.org; Thu, 03 Dec 2020 11:34:29 -0500
Received: from smtp.hosts.co.uk ([85.233.160.19]:34606)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pgarlick@HIDDEN>)
 id 1kkrYp-0008QX-20
 for 31977 <at> debbugs.gnu.org; Thu, 03 Dec 2020 11:34:27 -0500
Received: from maikeh336.claranet.co.uk ([79.123.23.187] helo=pancake.local)
 by smtp.hosts.co.uk with esmtpsa (TLS1.2:ECDHE-RSA-AES128-GCM-SHA256:128)
 (Exim) (envelope-from <pgarlick@HIDDEN>)
 id 1kkrYi-0009RP-DG; Thu, 03 Dec 2020 16:34:20 +0000
Message-ID: <1317d9cf798a52364abd5905c17f207e8d9e31ed.camel@HIDDEN>
Subject: Re: bug#31977: clone tests fail on CentOS 7
From: Paul Garlick <pgarlick@HIDDEN>
To: zimoun <zimon.toutoune@HIDDEN>
Date: Thu, 03 Dec 2020 16:34:17 +0000
In-Reply-To: <86ft4pv1ik.fsf@HIDDEN>
References: <1530022595.3353.22.camel@HIDDEN>
 <86ft4pv1ik.fsf@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Mailer: Evolution 3.28.5-0ubuntu0.18.04.2 
Mime-Version: 1.0
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 31977
Cc: 31977 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Simon,

I have pushed the fix as 8bc5ca5160db3d82bd5b6b2b7ed80c96f42bd33e.

Best regards,

Paul.





Information forwarded to bug-guix@HIDDEN:
bug#31977; Package guix. Full text available.

Message received at 31977 <at> debbugs.gnu.org:


Received: (at 31977) by debbugs.gnu.org; 2 Dec 2020 18:08:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 02 13:08:23 2020
Received: from localhost ([127.0.0.1]:37334 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kkWYA-0005dE-Sn
	for submit <at> debbugs.gnu.org; Wed, 02 Dec 2020 13:08:23 -0500
Received: from mail-out-auth3.hosts.co.uk ([85.233.191.1]:63708)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pgarlick@HIDDEN>)
 id 1kkWY9-0005d4-6s
 for 31977 <at> debbugs.gnu.org; Wed, 02 Dec 2020 13:08:21 -0500
Received: from maikeh336.claranet.co.uk ([79.123.23.187] helo=pancake.local)
 by smtp.hosts.co.uk with esmtpsa (TLS1.2:ECDHE-RSA-AES128-GCM-SHA256:128)
 (Exim) (envelope-from <pgarlick@HIDDEN>)
 id 1kkWY7-00058D-B3; Wed, 02 Dec 2020 18:08:19 +0000
Message-ID: <85c5c82b887d921b3395a1d7a240b5c9de46c89b.camel@HIDDEN>
Subject: Re: bug#31977: clone tests fail on CentOS 7
From: Paul Garlick <pgarlick@HIDDEN>
To: zimoun <zimon.toutoune@HIDDEN>
Date: Wed, 02 Dec 2020 18:08:18 +0000
In-Reply-To: <86ft4pv1ik.fsf@HIDDEN>
References: <1530022595.3353.22.camel@HIDDEN>
 <86ft4pv1ik.fsf@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Mailer: Evolution 3.28.5-0ubuntu0.18.04.2 
Mime-Version: 1.0
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 31977
Cc: 31977 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Simon,

On Tue, 2020-12-01 at 19:12 +0100, zimoun wrote:
> This old bug #31977 is about an issue on your CentOS 7 machine.  Is
> it still relevant?

Yes, this bug still exists.

However, I have just tested a fix:

--- a/gnu/build/linux-container.scm
+++ b/gnu/build/linux-container.scm
@@ -44,7 +44,7 @@
   (let ((userns-file "/proc/sys/kernel/unprivileged_userns_clone"))
     (if (file-exists? userns-file)
         (eqv? #\1 (call-with-input-file userns-file read-char))
-        #t)))
+        #f)))
 
 (define (setgroups-supported?)
   "Return #t if the setgroups proc file, introduced in Linux-libre
3.19,

This ensures that tests are skipped if user namespaces are not enabled
for unprivileged users.

Best regards,

Paul.





Information forwarded to bug-guix@HIDDEN:
bug#31977; Package guix. Full text available.

Message received at 31977 <at> debbugs.gnu.org:


Received: (at 31977) by debbugs.gnu.org; 1 Dec 2020 18:13:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 01 13:13:15 2020
Received: from localhost ([127.0.0.1]:33250 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kkA9K-00065R-Rj
	for submit <at> debbugs.gnu.org; Tue, 01 Dec 2020 13:13:15 -0500
Received: from mail-wr1-f50.google.com ([209.85.221.50]:37669)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1kkA9J-000650-4N
 for 31977 <at> debbugs.gnu.org; Tue, 01 Dec 2020 13:13:13 -0500
Received: by mail-wr1-f50.google.com with SMTP id i2so4121355wrs.4
 for <31977 <at> debbugs.gnu.org>; Tue, 01 Dec 2020 10:13:13 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=vyGmiMJxxEa9npcWyVEHbTRraZjJptG/VRRWtJOxw+g=;
 b=owxHye+uvFeOA7goPCif9ISIuRgXYfsZ8UnWCqosxyJy4zLLSJ5FBRjMMpirJFou3L
 dSQ0S5G8kw+UbK299Pi49NeJfERtWNoEeHQWPmW5pNoX2Q3D9fZLCJJ6ujIhznDEuGWa
 Rwy0nmQGpVTgU7vFWwPHREl0tEZPnKNxBbkPWwnAZOV84ld9D/ZrkCXfwBMfmEXBCn4z
 aCnbdbaCY5H8yvq84LjTLqb6B7SuqR1CBcHzPE8k3D1PzyrfcOvwGm8us2ulNVOMRYou
 UCLwyMcpFlmh52q5rtE+NLF8ct4UP53Q8hYgZZK05dPevBIvX3reuLiTbRebHCsytXXN
 5AhA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=vyGmiMJxxEa9npcWyVEHbTRraZjJptG/VRRWtJOxw+g=;
 b=bvqDWNJnKDav0Jmri63ndEmcBbtZsCuV6lu8J97sYw3TKmG+xRRwuWN2Y+e1+yYD8Z
 drkAZ7q52z3BRoypknWJFXOz46DpONOOolgD5BYV6PlQ0kjkkdQysBHyKQ1tSzoMGB64
 /+LtPDw1pHhnVowAOd6DhQgDB+QvoTw6WUWmqkIDK80satKiaXeymq1PEQH09vgwajjg
 GoKXLbRQdGkbG2F4ZWGciH/J6xOukVe00LH/3e0fgd6O+JB6BMkgHTKZe/IMlgsRZDNy
 /tAr65wr93jtrpaXBv/AcM/vEMMsPnhHedhZnTHyhLHKrVWJK35Y7FuFadAAxwocGVoT
 6l8w==
X-Gm-Message-State: AOAM531gZpFFv/o5FUfFMqRf1Kgsd+qC64sOn+HH2QVHgvooxy7I2ruX
 /+eKNgZ4FeKQzoKxURVN/5+X2m5iWGP8xQ==
X-Google-Smtp-Source: ABdhPJyEJ1QwIehQH4kZ77kiIYdlI0QPZ9uism6LM7jFGrbov78EwFAvvRBxsMyzesmQUdwIKta0uQ==
X-Received: by 2002:adf:dc83:: with SMTP id r3mr5308071wrj.223.1606846387347; 
 Tue, 01 Dec 2020 10:13:07 -0800 (PST)
Received: from lili ([2a01:e0a:59b:9120:65d2:2476:f637:db1e])
 by smtp.gmail.com with ESMTPSA id h2sm934265wme.45.2020.12.01.10.13.06
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 01 Dec 2020 10:13:06 -0800 (PST)
From: zimoun <zimon.toutoune@HIDDEN>
To: Paul Garlick <pgarlick@HIDDEN>
Subject: Re: bug#31977: clone tests fail on CentOS 7
References: <1530022595.3353.22.camel@HIDDEN>
Date: Tue, 01 Dec 2020 19:12:35 +0100
In-Reply-To: <1530022595.3353.22.camel@HIDDEN> (Paul
 Garlick's message of "Tue, 26 Jun 2018 15:16:35 +0100")
Message-ID: <86ft4pv1ik.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 31977
Cc: 31977 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Paul,

This old bug #31977 is about an issue on your CentOS 7 machine.  Is it
still relevant?

   <http://issues.guix.gnu.org/issue/31977>

On Tue, 26 Jun 2018 at 15:16, Paul Garlick <pgarlick@tourbillion-technology=
.com> wrote:

> Running 'make check' in the guix source tree on a CentOS 7 system
> results in 15 FAILS:
>
> tests/containers.log: 9 FAILS
> tests/syscalls.log: 3 FAILS
> tests/guix-environment-container.log: 1 FAIL
> tests/guix-pack.log: 1 FAIL
> tests/pack.log: 1 FAIL
>
> Referring to bug#24108, the cause may be that the clone-related tests
> are being executed instead of being skipped.

Note that bug#24108 had been closed couple of months ago:

--8<---------------cut here---------------start------------->8---
From: Ludovic Court=C3=A8s <ludo@HIDDEN>
Subject: control message for bug #24108
To: control <at> debbugs.gnu.org, 24108 <at> debbugs.gnu.org
Date: Thu, 09 Jul 2020 15:58:27 +0200 (20 weeks, 5 days, 4 hours ago)

tags 24108 notabug
close 24108
quit
--8<---------------cut here---------------end--------------->8---


> The output of 'uname -srv' is:
>
> Linux 3.10.0-862.3.3.el7.x86_64 #1 SMP Fri Jun 15 04:15:27 UTC 2018
>
> Files:
> a) '/proc/self/ns/user' exists
> b) '/proc/sys/kernel/unprivileged_userns_clone' does not exist.
>
> On CentOS 7 I believe user namespaces are supported but disabled by
> default. The output of 'cat /proc/sys/user/max_user_namespaces' is
> '0'.
>
> Perhaps the 'perform-container-tests?' logic should include an extra
> check for the default, disabled case to ensure that the tests are
> skipped.
>
> Attached are the log files, except 'guix-pack.log' (~100MB) and
> 'pack.log' (~7MB).
>
> Best regards,
>
> Paul.


Feel free to close it or report more information about the current
status.


Thanks,
simon




Information forwarded to bug-guix@HIDDEN:
bug#31977; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 26 Jun 2018 14:17:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 26 10:17:06 2018
Received: from localhost ([127.0.0.1]:36327 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fXomH-0008Qe-GI
	for submit <at> debbugs.gnu.org; Tue, 26 Jun 2018 10:17:06 -0400
Received: from eggs.gnu.org ([208.118.235.92]:49420)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pgarlick@HIDDEN>)
 id 1fXomF-0008Q1-2C
 for submit <at> debbugs.gnu.org; Tue, 26 Jun 2018 10:17:04 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <pgarlick@HIDDEN>)
 id 1fXom6-0007QJ-7C
 for submit <at> debbugs.gnu.org; Tue, 26 Jun 2018 10:16:57 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:35956)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <pgarlick@HIDDEN>)
 id 1fXom5-0007Pg-U4
 for submit <at> debbugs.gnu.org; Tue, 26 Jun 2018 10:16:54 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:40374)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <pgarlick@HIDDEN>)
 id 1fXolz-0006w3-29
 for bug-guix@HIDDEN; Tue, 26 Jun 2018 10:16:53 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <pgarlick@HIDDEN>)
 id 1fXolv-00079F-8X
 for bug-guix@HIDDEN; Tue, 26 Jun 2018 10:16:47 -0400
Received: from smtp.hosts.co.uk ([85.233.160.19]:15968)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <pgarlick@HIDDEN>)
 id 1fXolu-0006z7-LO
 for bug-guix@HIDDEN; Tue, 26 Jun 2018 10:16:43 -0400
Received: from [79.123.23.187] (helo=pancake.local)
 by smtp.hosts.co.uk with esmtpsa (TLSv1.2:ECDHE-RSA-AES128-GCM-SHA256:128)
 (Exim) (envelope-from <pgarlick@HIDDEN>)
 id 1fXolo-0000I3-7A
 for bug-guix@HIDDEN; Tue, 26 Jun 2018 15:16:39 +0100
Message-ID: <1530022595.3353.22.camel@HIDDEN>
Subject: clone tests fail on CentOS 7
From: Paul Garlick <pgarlick@HIDDEN>
To: bug-guix@HIDDEN
Date: Tue, 26 Jun 2018 15:16:35 +0100
Content-Type: multipart/mixed; boundary="=-Hfc1Q3tpRgEoWdE1+N8B"
X-Mailer: Evolution 3.18.5.2-0ubuntu3.2 
Mime-Version: 1.0
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x (no
 timestamps) [generic] [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)


--=-Hfc1Q3tpRgEoWdE1+N8B
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: 8bit

Hi Guix,

Running 'make check' in the guix source tree on a CentOS 7 system
results in 15 FAILS:

tests/containers.log: 9 FAILS
tests/syscalls.log: 3 FAILS
tests/guix-environment-container.log: 1 FAIL
tests/guix-pack.log: 1 FAIL
tests/pack.log: 1 FAIL

Referring to bug#24108, the cause may be that the clone-related tests
are being executed instead of being skipped. 

The output of 'uname -srv' is:

Linux 3.10.0-862.3.3.el7.x86_64 #1 SMP Fri Jun 15 04:15:27 UTC 2018

Files:
a)  '/proc/self/ns/user' exists
b) '/proc/sys/kernel/unprivileged_userns_clone' does not exist.

On CentOS 7 I believe user namespaces are supported but disabled by
default.  The output of 'cat /proc/sys/user/max_user_namespaces' is
'0'.

Perhaps the 'perform-container-tests?' logic should include an extra
check for the default, disabled case to ensure that the tests are
skipped.

Attached are the log files, except 'guix-pack.log' (~100MB) and
'pack.log' (~7MB).

Best regards,

Paul.


--=-Hfc1Q3tpRgEoWdE1+N8B
Content-Disposition: attachment; filename="containers.log"
Content-Type: text/x-log; name="containers.log"; charset="UTF-8"
Content-Transfer-Encoding: base64
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--=-Hfc1Q3tpRgEoWdE1+N8B
Content-Disposition: attachment; filename="guix-environment-container.log"
Content-Type: text/x-log; name="guix-environment-container.log"; charset="UTF-8"
Content-Transfer-Encoding: base64

YWNjZXB0ZWQgY29ubmVjdGlvbiBmcm9tIHBpZCAxMDI5LCB1c2VyIHBhdWwKKyBzZXQgLWUKKyBn
dWl4IGVudmlyb25tZW50IC0tdmVyc2lvbgpndWl4IGVudmlyb25tZW50IChHTlUgR3VpeCkgMC4x
NC4wLjY3NTItYTg3Y2IKQ29weXJpZ2h0IChDKSAyMDE4IHRoZSBHdWl4IGF1dGhvcnMKTGljZW5z
ZSBHUEx2Mys6IEdOVSBHUEwgdmVyc2lvbiAzIG9yIGxhdGVyIDxodHRwOi8vZ251Lm9yZy9saWNl
bnNlcy9ncGwuaHRtbD4KVGhpcyBpcyBmcmVlIHNvZnR3YXJlOiB5b3UgYXJlIGZyZWUgdG8gY2hh
bmdlIGFuZCByZWRpc3RyaWJ1dGUgaXQuClRoZXJlIGlzIE5PIFdBUlJBTlRZLCB0byB0aGUgZXh0
ZW50IHBlcm1pdHRlZCBieSBsYXcuCisgZ3VpbGUgLWMgJygoQEAgKGd1aXggc2NyaXB0cyBlbnZp
cm9ubWVudCkgYXNzZXJ0LWNvbnRhaW5lci1mZWF0dXJlcykpJworIHRtcGRpcj10LWd1aXgtZW52
aXJvbm1lbnQtMTAzOQorIHRyYXAgJ3JtIC1yICIkdG1wZGlyIicgRVhJVAorIG1rZGlyIHQtZ3Vp
eC1lbnZpcm9ubWVudC0xMDM5CisgZ3VpeCBlbnZpcm9ubWVudCAtLWNvbnRhaW5lciAtLWFkLWhv
YyAtLWJvb3RzdHJhcCBndWlsZS1ib290c3RyYXAgLS0gZ3VpbGUgLWMgJyhleGl0IDQyKScKYWNj
ZXB0ZWQgY29ubmVjdGlvbiBmcm9tIHBpZCAxMDU0LCB1c2VyIHBhdWwKZ3VpeCBlbnZpcm9ubWVu
dDogZXJyb3I6IGNsb25lOiAyMDgwNTA1ODczOiBJbnZhbGlkIGFyZ3VtZW50CisgdGVzdCAxID0g
NDIKKyBybSAtciB0LWd1aXgtZW52aXJvbm1lbnQtMTAzOQouL3Rlc3QtZW52OiBsaW5lIDE6ICAx
MDI4IFRlcm1pbmF0ZWQgICAgICAgICAgICAgICIvZGF0YS9wYXVsL3NvdXJjZUNvZGUvZ3VpeC9w
cmUtaW5zdC1lbnYiICIvZGF0YS9wYXVsL3NvdXJjZUNvZGUvZ3VpeC9ndWl4LWRhZW1vbiIgLS1k
aXNhYmxlLWNocm9vdCAtLXN1YnN0aXR1dGUtdXJscz0iJEdVSVhfQklOQVJZX1NVQlNUSVRVVEVf
VVJMIgpGQUlMIHRlc3RzL2d1aXgtZW52aXJvbm1lbnQtY29udGFpbmVyLnNoIChleGl0IHN0YXR1
czogMSkK


--=-Hfc1Q3tpRgEoWdE1+N8B
Content-Disposition: attachment; filename="syscalls.log"
Content-Type: text/x-log; name="syscalls.log"; charset="UTF-8"
Content-Transfer-Encoding: base64
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--=-Hfc1Q3tpRgEoWdE1+N8B--





Acknowledgement sent to Paul Garlick <pgarlick@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#31977; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 19 Dec 2020 09:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.